Drew Tomlinson wrote:
> I'm using FBSD 6x.  It's been a while since I upgraded ports.  One of
> the ports to upgrade is curl from 7.18.0 to 7.19.4.  It wants to pull
> in security/ca_root_nss.  This port gets a bunch of errors when
> attempting to install.  Here is an example:
>
> Error configuring OpenSSL
> 40358:error:260AB089:engine routines:ENGINE_ctrl_cmd_string:invalid
> cmd
> name:/usr/src/secure/lib/libcrypto/../../../crypto/openssl/crypto/engine/eng_ctrl.c:318:
>
> 40358:error:0E07406D:configuration file
> routines:CONF_modules_load:module initialization
> error:/usr/src/secure/lib/libcrypto/../../../crypto/openssl/crypto/conf/conf_mod.c:234:module=engines,
> value=openssl_engines, retcode=-1
>
> I had been using openssl from the base system but tried installing
> from ports (0.9.8k) to see if it helped.  It did not.  Should I leave
> or remove openssl from ports?  If I leave it, is there anything I need
> to do so it does not conflict with the base system?
>
> And regarding ca_root_nss, what must I do to get that installed?
I'm still having this problem and can't find a solution anywhere.  And
now I need to install php5-curl which also needs ca_root_nss.  Any ideas?

Thanks,

Drew

-- 
Be a Great Magician!
Visit The Alchemist's Warehouse

http://www.alchemistswarehouse.com

_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "freebsd-questions-unsubscr...@freebsd.org"

Reply via email to